Subject: bug#46296: 28.0.50; indent-rigidly inserts newline when exiting with RET

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 06 Feb 2021 11:47:59 +0100

Tomas Nordin <[email-masked]> writes:

> Cool, I saw it. But the function doc string was not touched? Maybe
> that's often the first look-up for docs one does.

OK, I've now added this to the doc string, too.

> So this was a documentation bug. Is it only me who thinks a behavior
> more like string-rectangle is expected with indent-rigidly? I think it
> is a little surprising when a newline is inserted at exit.

You can use other (non-inserting) keys to exit the mode.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no